> ## Name

> cgGetProfileDomain - get the domain of a profile enumerant

> ## Synopsis

>     #include <Cg/cg.h>

>     CGdomain cgGetProfileDomain( CGprofile profile );

> ## Parameters

> profile
>   A profile enumerant.

> ## Return Values

> Returns the domain enumerant associated with profile.

> Returns CG_UNKNOWN_DOMAIN if profile is not a valid profile.

> ## Description

> cgGetProfileDomain returns the domain to which a given profile belongs. One of the following enumerants will be returned:

> - CG_VERTEX_DOMAIN
> - CG_FRAGMENT_DOMAIN
> - CG_GEOMETRY_DOMAIN
> - CG_TESSELLATION_CONTROL_DOMAIN
> - CG_TESSELLATION_EVALUATION_DOMAIN
> - CG_UNKNOWN_DOMAIN

> ## Examples

>     CGdomain domain = cgGetProfileDomain(CG_PROFILE_PS_3_0);
>     /* domain == CG_FRAGMENT_DOMAIN */

> ## Errors

> None.

> ## History

> cgGetProfileDomain was introduced in Cg 1.5.

> CG_GEOMETRY_DOMAIN was introduced in Cg 2.0.

> CG_TESSELLATION_CONTROL_DOMAIN and CG_TESSELLATION_EVALUATION_DOMAIN were introduced in Cg 3.0.

> ## See Also

> cgGetNumProgramDomains, cgGetProgramDomainProfile